CGI/Perl Guide | Learning Center | Forums | Advertise | Login
Site Search: in

  Main Index MAIN
INDEX
Search Posts SEARCH
POSTS
Who's Online WHO'S
ONLINE
Log in LOG
IN

Home: Perl Programming Help: Beginner:
How to get IO:Pty?

 



ianilkumar
Novice

Oct 22, 2012, 10:57 AM

Post #1 of 2 (579 views)
How to get IO:Pty? Can't Post

i downloaded the Expect-1.5.pm and when iam trying to use it getting the following error:

coqalv0473:pin3436 151mui> perl -c 2.pl
Can't locate IO/Pty.pm in @INC (@INC contains: /export/pin3436/opt/portal/7.5/lib/5.8.0/i686-linux /export/pin3436/opt/portal/7.5/lib/5.8.0 /export/pin3436/opt/portal/7.5/lib /export/pin3436/opt/portal/7.5/lib/perl5 /vobs/tools_vob/tools/linux/perl_5_8_0/perl/lib/5.8.0/i686-linux /vobs/tools_vob/tools/linux/perl_5_8_0/perl/lib/5.8.0 /vobs/tools_vob/tools/linux/perl_5_8_0/perl/lib/site_perl/5.8.0/i686-linux /vobs/tools_vob/tools/linux/perl_5_8_0/perl/lib/site_perl/5.8.0 /vobs/tools_vob/tools/linux/perl_5_8_0/perl/lib/site_perl .) at /export/pin3436/opt/portal/7.5/lib/5.8.0/Expect.pm line 22.
BEGIN failed--compilation aborted at /export/pin3436/opt/portal/7.5/lib/5.8.0/Expect.pm line 22.
Compilation failed in require at 2.pl line 5.
BEGIN failed--compilation aborted at 2.pl line 5.


I think it is looking for the IO::Ptyand IO::Tty.

How to get these modules with Expect?


wickedxter
User

Oct 22, 2012, 11:39 AM

Post #2 of 2 (578 views)
Re: [ianilkumar] How to get IO:Pty? [In reply to] Can't Post

download the modules...... its because they arent listed as dependencies for the module

terminal then cpan IO::Pty IO::Tty

 
 


Search for (options) Powered by Gossamer Forum v.1.2.0

Web Applications & Managed Hosting Powered by Gossamer Threads
Visit our Mailing List Archives